CVE-2020-28097

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The vgacon subsystem in the Linux kernel before 5.8.10 mishandles software scrollback. There is a vgacon_scrolldelta out-of-bounds read, aka CID-973c096f6a85.

References

https://github.com/torvalds/linux/commit/973c096f6a85e5b5f2a295126ba6928d9a6afd45

https://seclists.org/oss-sec/2020/q3/176

https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.10

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=973c096f6a85e5b5f2a295126ba6928d9a6afd45

Details

Source: MITRE

Published: 2021-06-24

Updated: 2021-08-05

Type: CWE-125

Risk Information

CVSS v2

Base Score: 3.6

Vector: AV:L/AC:L/Au:N/C:P/I:N/A:P

Impact Score: 4.9

Exploitability Score: 3.9

Severity: LOW

CVSS v3

Base Score: 5.9

Vector: CVSS:3.1/AV:P/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H

Impact Score: 5.2

Exploitability Score: 0.7

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
153703EulerOS 2.0 SP9 : kernel (EulerOS-SA-2021-2530)NessusHuawei Local Security Checks
high
153692EulerOS 2.0 SP5 : kernel (EulerOS-SA-2021-2502)NessusHuawei Local Security Checks
high
153221OracleVM 3.4 : Unbreakable / etc (OVMSA-2021-0030)NessusOracleVM Local Security Checks
medium
153172Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2021-9442)NessusOracle Linux Local Security Checks
medium